diff --git a/package/base-files/default/etc/init.d/telnet b/package/base-files/default/etc/init.d/telnet
index 228eac2b62939062b79ceb12713f4c1c484bf393..c994c6052fa983929ee344a2ac831c5fd6f07718 100755
--- a/package/base-files/default/etc/init.d/telnet
+++ b/package/base-files/default/etc/init.d/telnet
@@ -2,7 +2,7 @@
 # Copyright (C) 2006 OpenWrt.org
 
 start() {
-	if awk -F: '/^root:/ && $2 !~ /\!/ {exit 1}' /etc/passwd 2>/dev/null; then telnetd -l /bin/login; fi
+	if awk -F: '/^root:/ && $2 !~ /\!/ {exit 1}' /etc/passwd 2>/dev/null && [ -x /usr/sbin/dropbear ]; then telnetd -l /bin/login; fi
 }
 
 stop() {